%global libmks_version 0.1.5
%global gtk4_version  4.12.0

Name:           snowglobe
Version:        0.1.1
Release:        %autorelease
Summary:        Virtualization viewer using QEMU over DBus

License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/bilelmoussaoui/%{name}
Source0:        https://gitlab.gnome.org/bilelmoussaoui/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(libmks-1) >= %{libmks_version}
BuildRequires:  desktop-file-utils
Requires:       libmks%{?_isa} >= %{libmks_version}
Requires:       gtk4%{?_isa} >= %{gtk4_version}
Requires:       qemu-ui-dbus
Requires:       qemu-ui-opengl

%description
Virtualization viewer using QEMU over DBus

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%files
%license LICENSE.md
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/com.belmoussaoui.%{name}.desktop
%{_datadir}/metainfo/com.belmoussaoui.%{name}.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/com.belmoussaoui.%{name}.svg
%{_datadir}/icons/hicolor/symbolic/apps/com.belmoussaoui.%{name}-symbolic.svg

%changelog
%autochangelog
